# Class MetalSliderUI.MetalPropertyListener

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler
javax.swing.plaf.metal.MetalSliderUI.MetalPropertyListener

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `MetalSliderUI`

protected class MetalSliderUI.MetalPropertyListener extends BasicSliderUI.PropertyChangeHandler
`PropertyListener` for `JSlider.isFilled`.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MetalPropertyListener()`
Constructs a `MetalPropertyListener`.

## Method Summary

### Methods declared in class BasicSliderUI.PropertyChangeHandler

`propertyChange`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetalPropertyListener

protected MetalPropertyListener()
Constructs a `MetalPropertyListener`.